Developer Documentation

Signals | Public Member Functions | Protected Member Functions | Private Types | Private Slots | Private Member Functions | Private Attributes | List of all members
OptionsWidget Class Reference
Inheritance diagram for OptionsWidget:

## Signals
void | applyOptions ()
void | saveOptions ()
void | addKeyMapping (int _key, Qt::KeyboardModifiers _modifiers, QObject *_plugin, int _keyBindingID)

## Public Member Functions
| OptionsWidget (std::vector< PluginInfo > &_plugins, std::vector< KeyBinding > &_core, InverseKeyMap &_invKeys, QWidget *parent=0)

## Protected Member Functions
void | showEvent (QShowEvent *event)

## Private Types
enum | DOWNLOAD { NONE, VERSIONS_FILE, PLUGIN, WINDOWS_SETUP }

## Private Slots
void | slotOk ()
| call slotApply and hide widget
void | slotApply ()
| Update Options and tell others about changed Options.
void | slotCancel ()
| Only hide widget.
void | slotCheckUpdates ()
| Checks for updates.
void | slotGetUpdates ()
| Download updates.
void | getBackgroundColor ()
| open a dialog to determine the color
void | getDefaultColor ()
void | keyTreeItemChanged (QTreeWidgetItem *current, QTreeWidgetItem *previous)
| keyBinding TreeWidget-Item changed More...
void | keyTreeDoubleClicked (QTreeWidgetItem *_item, int col)
| doubleclick in the keyTree
void | updateShortcut ()
| check if the shortcut exists and add it if not
void | slotShowPluginOptions (const QString &_pluginName)
void | restoreKeyPresets ()
| restore keyBinding Presets
void | updateViewerSettings (int _row)
| update the dialog if the selected viewer changes
void | viewerSettingsChanged (QListWidgetItem *_item)
| remember user changes to viewer properties
void | viewerSettingsChanged (int _index)
void | switchStackedWidget ()
| Switch between the stacked widgets of the stereo settings.
void | slotPreviewStereoSettings (int _tmpParam=0)
void | slotClearSettings ()
| Clear all OpenFlipper settings.
void | slotClearINI ()
| Clear OpenFlipper INI.
void | slotReloadShaders ()
| Clear the Shader Cache.
void | httpRequestFinished (QNetworkReply *_qnr)
void | updateDataReadProgress (qint64 _bytesReceived, qint64 _bytesTotal)
void | showError (QNetworkReply::NetworkError _error)
| error occured while downloading
void | cancelDownload ()
void | updateComponent ()
void | slotTranslationIndexChanged (int)
void | authentication (QNetworkReply *_reply, QAuthenticator *_authenticator)
| authentication

## Private Member Functions
void | initPluginOptions ()
int | getPluginInfo (QString pluginName)
| get the pluginInfo object corresponding to the given pluginName
void | initKeyTree ()
| init the TreeWidget containing the keyBindings
void | applyShortcuts ()
| check which of the shortcuts changed and inform the core about the change
void | startDownload (QString _url)
| Starts the download of the given file.
void | compareVersions ()
| Compares the versions from the downloaded Versions file with the current versions.
bool | isNewer (QString _current, QString _latest)
| Compares two version strings and returns if a newer Version is available.
void | updateVersionsTable ()
| Redraws the version table.

## Private Attributes
QVBoxLayout * | pluginOptionsLayout
std::vector< PluginInfo > & | plugins_
std::vector< KeyBinding > & | coreKeys_
InverseKeyMap & | keys_
bool | httpRequestAborted
QNetworkAccessManager * | networkMan_
QNetworkReply * | downloadRep_
QFile * | file
QProgressDialog * | progressDialog_
enum OptionsWidget::DOWNLOAD | downloadType
std::vector< ACG::SceneGraph::DrawModes::DrawMode > | defaultDrawModes_
std::vector< bool > | defaultProjectionMode_
std::vector< int > | defaultViewingDirections_
std::vector< bool > | defaultRotationLocks_
bool | updatingViewerSettings_
QColor | backgroundColor_
QStringList | updatedPlugins_
QString | pluginPath_
QString | currentUpdateName_
bool | restartRequired_
bool | exitOnClose_

## Detailed Description

Definition at line 64 of file optionsWidget.hh.

## Member Function Documentation

## ◆ keyTreeItemChanged

void OptionsWidget::keyTreeItemChanged | ( | QTreeWidgetItem * | current,
|  | QTreeWidgetItem * | previous
| ) |  |
| private slot

keyBinding TreeWidget-Item changed

user selects a different item in the tree

Definition at line 70 of file keyBindings.cc.

## ◆ slotPreviewStereoSettings

void OptionsWidget::slotPreviewStereoSettings | ( | int | _tmpParam = `0` | ) |
| private slot

This function is called to update stereo settings for real-time preview Note: The parameter only makes sure that the signals can be connected to this slot.

Definition at line 996 of file optionsWidget.cc.

## Member Data Documentation

## ◆ currentUpdateName_

QString OptionsWidget::currentUpdateName_
| private

Current filename of the plugin to be updated

Definition at line 236 of file optionsWidget.hh.

## ◆ pluginPath_

QString OptionsWidget::pluginPath_
| private

Here the architecture specific path for plugins will be created

Definition at line 232 of file optionsWidget.hh.

## ◆ restartRequired_

bool OptionsWidget::restartRequired_
| private

Used to track whether another language has been selected

Definition at line 240 of file optionsWidget.hh.

## ◆ updatedPlugins_

QStringList OptionsWidget::updatedPlugins_
| private

After checking for updates this variable will contain a list of filenames for which updates are available

Definition at line 228 of file optionsWidget.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/widgets/optionsWidget/optionsWidget.hh
- OpenFlipper/widgets/optionsWidget/downloader.cc
- OpenFlipper/widgets/optionsWidget/keyBindings.cc
- OpenFlipper/widgets/optionsWidget/optionsWidget.cc